#ifndef _KGR_PATCH_BSC1083488_H
#define _KGR_PATCH_BSC1083488_H

#if IS_ENABLED(CONFIG_SND_SEQUENCER)

int kgr_patch_bsc1083488_init(void);
void kgr_patch_bsc1083488_cleanup(void);

struct snd_seq_queue;
ssize_t kgr_snd_seq_write(struct file *file, const char __user *buf,
			  size_t count, loff_t *offset);
void kgr_snd_seq_check_queue(struct snd_seq_queue *q, int atomic, int hop);

#define KGR_PATCH_BSC1083488_FUNCS					\
	KGR_PATCH_OBJ(snd_seq_write, kgr_snd_seq_write, "snd_seq"),	\
	KGR_PATCH_OBJ(snd_seq_check_queue, kgr_snd_seq_check_queue,	\
			"snd_seq"),					\

#else /* !IS_ENABLED(CONFIG_SND_SEQUENCER) */

static inline int kgr_patch_bsc1083488_init(void) { return 0; }
static inline void kgr_patch_bsc1083488_cleanup(void) {}

#define KGR_PATCH_BSC1083488_FUNCS

#endif /* IS_ENABLED(CONFIG_SND_SEQUENCER) */
#endif
